Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Types | Public Member Functions | Protected Member Functions | List of all members
LatBuilder::BasicMeritFilterList< LAT > Class Template Reference

Container class for merit filters. More...

`#include <MeritFilterList.h>`

## Public Types
typedef BasicMeritFilter< LAT > | Filter
typedef Filter::InputMeritValue | MeritValue
typedef Filter::LatDef | LatDef
typedef std::list < std::unique_ptr< Filter > > | FilterList
typedef boost::signals2::signal< void(const LatDef &)> | OnReject
| Type of signal emitted when a merit value is rejected.

## Public Member Functions
| BasicMeritFilterList ()
| Constructor.
bool | empty () const
| Returns `true` if and only if the list of filters is empty.
OnReject & | onReject () const
| Reject signal. More...
const FilterList & | filters () const
Setup functions
void | add (std::unique_ptr< Filter > filter)
| Appends a filter for scalar merit values. More...

## Protected Member Functions
MeritValue | apply (MeritValue merit, const LatDef &lat) const

## Detailed Description

### template<LatType LAT>
class LatBuilder::BasicMeritFilterList< LAT >

Container class for merit filters.

## Member Function Documentation

template<LatType LAT>

void LatBuilder::BasicMeritFilterList< LAT >::add | ( | std::unique_ptr< Filter > | filter | ) |
| inline

Appends a filter for scalar merit values.

Parameters

  filter | Filter function/functor to add.

template<LatType LAT>

OnReject& LatBuilder::BasicMeritFilterList< LAT >::onReject | ( |  | ) | const
| inline

Reject signal.

Emitted when the a value in the output sequence is rejected by a filter.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/MeritFilterList.h